/*  ----------Start nav-bar Style (main-manu)  ---------- */

.main-header__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 1.5rem;
}

/*  start main- header__right */
.main-hader__right,
.main-hader__menu,
.main-header__item {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.main-hader__right {
  justify-content: space-between;
}

.main-hader__menu,
.main-header__item {
  justify-content: center;
}

.main-header__item {
  color: #7f8187;
  position: relative;
  margin-right: 1rem;
  transition: all 400ms ease-in-out;
  -webkit-transition: all 400ms ease-in-out;
  -moz-transition: all 400ms ease-in-out;
  -ms-transition: all 400ms ease-in-out;
  -o-transition: all 400ms ease-in-out;
}
.main-header__item:hover {
  transform: translateY(-0.25rem);
  -webkit-transform: translateY(-0.25rem);
  -moz-transform: translateY(-0.25rem);
  -ms-transform: translateY(-0.25rem);
  -o-transform: translateY(-0.25rem);
}

.main-header__link {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
}

.main-header__link:hover {
  color: #7f8187;
  transition: all 400ms ease;
  -webkit-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -o-transition: all 300ms ease;
}

.main-header__dropdown {
  position: absolute;
  right: 0;
  left: 0;
  top: 3.5rem;
  width: max-content;
  padding: 1rem;
  background-color: var(--white-color);
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
  border-radius: 0.5rem;
  -webkit-border-radius: 0.5rem;
  -moz-border-radius: 0.5rem;
  -ms-border-radius: 0.5rem;
  -o-border-radius: 0.5rem;
  z-index: 1;
  opacity: 0;
  visibility: hidden;
  transition: all 250ms ease-in;
  -webkit-transition: all 250ms ease-in;
  -moz-transition: all 250ms ease-in;
  -ms-transition: all 250ms ease-in;
  -o-transition: all 250ms ease-in;
  border-bottom: 2px solid var(--primary-color);
}

.main-header__item:hover .main-header__dropdown {
  opacity: 1;
  visibility: visible;
}

.main-header__dropdown-link {
  display: block;
  padding: 0.6rem 1rem;
  font-size: 1.4rem;
  color: var(--dark-color);
  transition: all 400ms ease;
  -webkit-transition: all 400ms ease;
  -moz-transition: all 400ms ease;
  -ms-transition: all 400ms ease;
  -o-transition: all 400ms ease;
}

.main-header__dropdown-link:hover {
  color: #828387;
  transform: translateY(-0.2rem);
  -webkit-transform: translateY(-0.2rem);
  -moz-transform: translateY(-0.2rem);
  -ms-transform: translateY(-0.2rem);
  -o-transform: translateY(-0.2rem);
}

/*  end- main-header__right */
/* **** */
/*  start main- header__left */
.main-hader__left,
.main-header__search-btn,
.main-header__cart-ibtn,
.main-hader__profile {
  display: flex;
  justify-content: center;
  align-items: center;
}

.main-header__search-btn,
.main-header__cart-btn,
.main-hader__profile {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 4.3rem;
  border-radius: 0.5rem;
  -webkit-border-radius: 0.5rem;
  -moz-border-radius: 0.5rem;
  -ms-border-radius: 0.5rem;
  -o-border-radius: 0.5rem;
  margin-left: 1rem;
  transition: all 400ms ease;
  -webkit-transition: all 400ms ease;
  -moz-transition: all 400ms ease;
  -ms-transition: all 400ms ease;
  -o-transition: all 400ms ease;
}

.main-header__search-btn,
.main-header__cart-btn {
  width: 4.3rem;
}

.main-header__search-btn {
  background-color: var(--primary-color);
  color: var(--white-color);
}

.main-header__cart-btn {
  background-color: #f0f2f7;
  color: var(--dark-color);
}

.main-header__cart-btn:hover {
  color: #1e83f0;
}

.main-header__profile-text {
  display: block;
  color: var(--primary-color);
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  text-align: center;
  min-width: 12rem;
  border: 2px solid var(--primary-color);
  -webkit-border-radius: 0.5rem;
  -moz-border-radius: 0.5rem;
  -ms-border-radius: 0.5rem;
  -o-border-radius: 0.5rem;
  transition: all 400ms ease;
  -webkit-transition: all 400ms ease;
  -moz-transition: all 400ms ease;
  -ms-transition: all 400ms ease;
  -o-transition: all 400ms ease;
}

.main-header__profile-text:hover {
  background-color: var(--primary-color);
  color: var(--white-color);
}

/*  end- main-header__left */
/* ** */
/* ** */
/*  ----------  End nav-bar Style (main-manu)  ---------- */
/* ** */
/* ** */
/* --------Responsive---------- */
@media screen and (max-width: 768px) {
  .main-header__dropdown-link {
    font-size: 1.2rem;
  }
}
@media screen and (max-width: 610px) {
  .main-header__dropdown-link {
    font-size: 1em;
  }
}
@media screen and (max-width: 480px) {
  .main-header__dropdown {
    top: 1.8rem;
    right: -0.5rem;
    padding: 0.3rem;
  }
  .main-header__dropdown-link {
    font-size: 0.9em;
    top: 1rem;
  }
}
@media screen and (max-width: 320px) {
  .main-header__dropdown {
    top: 1.8rem;
    right: -0.5rem;
    padding: 0.3rem;
  }
  .main-header__dropdown-link {
    font-size: 0.8em;
    top: 1rem;
  }
}
